{% comment %}
  Define se o seletor deve vir em dropdown. Mudar para true caso queira dropdown
{% endcomment %}
{% assign dropdown = true %}

{% comment %} ========== {% endcomment %}

{% load_customizations product_id: product.id %}

{% for customization in loaded_customization_types %}

  {% comment %}
    Verifica se há estoque nas personalizações antes de exibir em tela
  {% endcomment %}
  {% assign show_custom = false %}
  {% for opt in customization.customizations %}
    {% if opt.quantity > 0 %}
      {% assign show_custom = true %}
      {% break %}
    {% endif %}
  {% endfor %}

  {% comment %}
    Previne estrutura de dropdown em personalizações de texto
  {% endcomment %}
  {% unless customization.options %}
    {% assign dropdown = false %}
  {% endunless %}

  {% assign class_dropdown = '' %}
  {% if dropdown %}
    {% assign class_dropdown = '-dropdown' %}
  {% endif %}

  {% comment %} HTML {% endcomment %}
  {% if show_custom %}
    <div class="prod-option -customization {{ class_dropdown }}" data-custom-option>
      <p class="topic-title">
        <span>{{ customization.name }}</span>
        <span class="value" data-value></span>
      </p>
      <div class="inner">
        {% if customization.options %}
          {% comment %}
            Personalização do tipo Opções
          {% endcomment %}

          {% if dropdown %}
            <div class="list">
          {% endif %}

          {% render 'partials/content/product/customizations/options', customization: customization %}

          {% if dropdown %}
            </div>
          {% endif %}

        {% else %}
          {% comment %}
            Personalização do tipo Texto
          {% endcomment %}
          {% render 'partials/content/product/customizations/text', customization: customization, text_area: false %}

        {% endif %}
      </div>
    </div>
  {% endif %}
{% endfor %}
